org.apache.lucene.queryparser.flexible.precedence

## Class PrecedenceQueryParser

- java.lang.Object
- - org.apache.lucene.queryparser.flexible.core.QueryParserHelper
  - - org.apache.lucene.queryparser.flexible.standard.StandardQueryParser
    - - org.apache.lucene.queryparser.flexible.precedence.PrecedenceQueryParser

All Implemented Interfaces:
  CommonQueryParserConfiguration

    public class PrecedenceQueryParser
    extends StandardQueryParser

This query parser works exactly as the standard query parser ( `StandardQueryParser` ), except that it respect the boolean precedence, so <a AND b OR c AND d> is parsed to <(+a +b) (+c +d)> instead of <+a +b +c +d>.

EXPERT: This class extends `StandardQueryParser`, but uses `PrecedenceQueryNodeProcessorPipeline` instead of `StandardQueryNodeProcessorPipeline` to process the query tree.

See Also:
  `StandardQueryParser`

### Constructor Summary

Constructors
Constructor and Description
`PrecedenceQueryParser()`
`PrecedenceQueryParser(Analyzer analyer)`

### Method Summary

### Methods inherited from class org.apache.lucene.queryparser.flexible.standard.StandardQueryParser

`getAllowLeadingWildcard, getAnalyzer, getDateResolution, getDateResolutionMap, getDefaultOperator, getEnablePositionIncrements, getFieldsBoost, getFuzzyMinSim, getFuzzyPrefixLength, getLocale, getLowercaseExpandedTerms, getMultiFields, getMultiTermRewriteMethod, getNumericConfigMap, getPhraseSlop, getTimeZone, parse, setAllowLeadingWildcard, setAnalyzer, setDateResolution, setDateResolution, setDateResolutionMap, setDefaultOperator, setDefaultPhraseSlop, setEnablePositionIncrements, setFieldsBoost, setFuzzyMinSim, setFuzzyPrefixLength, setLocale, setLowercaseExpandedTerms, setMultiFields, setMultiTermRewriteMethod, setNumericConfigMap, setPhraseSlop, setTimeZone, toString`

### Methods inherited from class org.apache.lucene.queryparser.flexible.core.QueryParserHelper

`getQueryBuilder, getQueryConfigHandler, getQueryNodeProcessor, getSyntaxParser, setQueryBuilder, setQueryConfigHandler, setQueryNodeProcessor, setSyntaxParser`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### PrecedenceQueryParser

    public PrecedenceQueryParser()

See Also:
  `StandardQueryParser.StandardQueryParser()`

#### PrecedenceQueryParser

    public PrecedenceQueryParser(Analyzer analyer)

See Also:
  `StandardQueryParser.StandardQueryParser(Analyzer)`